Summary: 	Traces the route taken by packets over a TCP/IP network.
Name: 		traceroute
Version: 	1.4a12
Release: 	3
License: 	BSD
Group: 		Networking/Tools
Source: 	ftp://ftp.ee.lbl.gov/traceroute-%{version}.tar.gz
Patch0: 	traceroute-1.4a12-owl-install-no-root.diff
Patch1: 	traceroute-1.4a12-owl-tim-chris-fixes.diff
Patch2: 	traceroute-1.4a12-owl-force-linux.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man8/*
  %attr(0510,root,admin)		%{_sbindir}/traceroute

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 

%build
  for i in config.guess config.sub ; do
	test -f /usr/share/libtool/$i && cp /usr/share/libtool/$i .
  done

  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_sbindir}
  install -d $RPM_BUILD_ROOT/%{_mandir}/man8

  install traceroute   $RPM_BUILD_ROOT/%{_sbindir}
  install traceroute.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 10 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4a12, Release 3
  - Update config.* so we pick up x86_64.

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4a12, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4a12, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
